﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PictureBox
{
    public partial class MainForm : Form
    {
        private int seconds = 0;
        private int minutes = 0;
        private int hours = 0;

        public MainForm()
        {
            InitializeComponent();
        }

        private void startTimer_Click(object sender, EventArgs e)
        {
            timer.Enabled = !timer.Enabled;
            if (timer.Enabled)
            {
                startTimer.Text = "Stop Timer";
            }
            else
            {
                startTimer.Text = "Start Timer";
            }
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            seconds++;
            if (seconds >= 60)
            {
                seconds = 0;
                minutes++;
            }

            if (minutes >= 60)
            {
                minutes = 0;
                hours++;
            }

            updateTimerText();
        }

        private void resetTimer_Click(object sender, EventArgs e)
        {
            seconds = 0;
            updateTimerText();
        }

        private void updateTimerText()
        {
            Counter.Text = string.Format("{0:D2}:{1:D2}:{2:D2}", hours, minutes, seconds);
        }
    }
}